#lang racket

(require redex (prefix-in model: "honu.rkt") "typesetting.rkt"
         racket/gui (only-in slideshow/pict pict->bitmap))

(define pict
  (with-rewrites
    (lambda ()
      (parameterize ([metafunction-font-size 12]
                     [default-font-size 12]
                     [non-terminal-style '(italic . "Times")]
                     [non-terminal-subscript-style '(italic subscript . "Times")]
                     [metafunction-pict-style 'left-right/vertical-side-conditions]
                     [metafunction-cases (for/list ([i 1]) i)]
                     [linebreaks (for/list ([i 1]) #t)]
                     [default-style "Times"])
        (metafunction->pict model:enforest)))))

#|
(define frame (new frame% [label "test"]))
(new button%
     [label (pict->bitmap pict)]
     [parent frame])
(send frame show #t)
|#

(send (pict->bitmap pict) save-file "test.png" 'png)
(printf "Created test.png\n")
